#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_mixer.h"

#include "../functions/surfaces.hpp"
#include "../functions/collision.hpp"

#ifndef CANDLE_HPP_
#define CANDLE_HPP_

const int CandleNumber = 52;

class candles{

	private:

		Mix_Chunk* CollectSound;

		SDL_Surface* CandleSheet;
		SDL_Surface* CandleLight;
		SDL_Rect Coords[ CandleNumber ];
		bool isOut[ CandleNumber ];
		SDL_Rect Offsets[ 3 ];
		SDL_Rect LOffsets[ 4 ];

		int Frame;
		int LFrame;

	public:

		candles();
		~candles();

		void show( SDL_Surface* & );

		void show_light( SDL_Surface* & );

		void move( int, int, bool );

		void collect( int& );

		SDL_Surface* getSheet();
		bool* getIsOut();
		SDL_Rect* getCoords();
		int & getFrame();
		SDL_Rect* getOffsets();


};

#endif /* CANDLE_HPP_ */
